Get all vehicle IFTA reports for the requested time duration. Data is returned in your organization’s defined timezone.
Note: The most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours.
Rate limit: 25 requests/sec (learn more about rate limits here).
To use this endpoint, select Read IFTA (US) under the Compliance category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/reports/ifta/vehicle \
--header 'Authorization: Bearer <token>'{
"data": {
"vehicleReports": [
{
"jurisdictions": [
{
"jurisdiction": "GA",
"taxableMeters": 2350,
"totalMeters": 2350,
"taxPaidLiters": 25.5
}
],
"vehicle": {
"externalIds": {},
"id": "494123",
"name": "Fleet Truck #1"
}
}
],
"year": 2021,
"month": "January",
"quarter": "Q4",
"troubleshooting": {
"noPurchasesFound": true,
"unassignedFuelTypePurchases": 200,
"unassignedFuelTypeVehicles": 2500,
"unassignedVehiclePurchases": 2500
}
},
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The year of the requested IFTA report summary. Must be provided with a month or quarter param. Example: year=2021
2015 <= x <= 2100The month of the requested IFTA report summary. Can not be provided with the quarter param. Example: month=January Valid values: January, February, March, April, May, June, July, August, September, October, November, December
January, February, March, April, May, June, July, August, September, October, November, December The quarter of the requested IFTA report summary. Can not be provided with the month param. Q1: January, February, March. Q2: April, May, June. Q3: July, August, September. Q4: October, November, December. Example: quarter=Q1 Valid values: Q1, Q2, Q3, Q4
Q1, Q2, Q3, Q4 A filter on the data based on this comma-separated list of jurisdictions. Example: jurisdictions=GA
A filter on the data based on this comma-separated list of IFTA fuel types. Example: fuelType=Diesel Valid values: Unspecified, A55, Biodiesel, CompressedNaturalGas, Diesel, E85, Electricity, Ethanol, Gasohol, Gasoline, Hydrogen, LiquifiedNaturalGas, M85, Methanol, Propane, Other
Unspecified, A55, Biodiesel, CompressedNaturalGas, Diesel, E85, Electricity, Ethanol, Gasohol, Gasoline, Hydrogen, LiquifiedNaturalGas, M85, Methanol, Propane, Other A filter on the data based on this comma-separated list of vehicle IDs and externalIds. Example: vehicleIds=1234,5678,samsara.vin:1HGBH41JXMN109186
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/fleet/reports/ifta/vehicle \
--header 'Authorization: Bearer <token>'{
"data": {
"vehicleReports": [
{
"jurisdictions": [
{
"jurisdiction": "GA",
"taxableMeters": 2350,
"totalMeters": 2350,
"taxPaidLiters": 25.5
}
],
"vehicle": {
"externalIds": {},
"id": "494123",
"name": "Fleet Truck #1"
}
}
],
"year": 2021,
"month": "January",
"quarter": "Q4",
"troubleshooting": {
"noPurchasesFound": true,
"unassignedFuelTypePurchases": 200,
"unassignedFuelTypeVehicles": 2500,
"unassignedVehiclePurchases": 2500
}
},
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}